<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__pfn__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_pfn_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__pfn__t_1a8550ab63b63cc35f94690cc1e6fa6512" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_prng_init_func_t</type>
        <definition>cy_crypto_prng_init_func_t cy_stc_crypto_pfn_t::prngInitFunc</definition>
        <argsstring />
        <name>prngInitFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="58" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a216a31ed965a857242cf97f482dbec51" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_prng_func_t</type>
        <definition>cy_crypto_prng_func_t cy_stc_crypto_pfn_t::prngFunc</definition>
        <argsstring />
        <name>prngFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="59" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1ac550ed8a3c614f7acceb2a12025739e5" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_trng_func_t</type>
        <definition>cy_crypto_trng_func_t cy_stc_crypto_pfn_t::trngFunc</definition>
        <argsstring />
        <name>trngFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="60" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1ac64f572d7db1f9abd44bbac9f1d656c9" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_aes_init_func_t</type>
        <definition>cy_crypto_aes_init_func_t cy_stc_crypto_pfn_t::aesInitFunc</definition>
        <argsstring />
        <name>aesInitFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="61" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1ab391d8545c3f6fe7e7afffa07851a3ca" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_aes_ecb_func_t</type>
        <definition>cy_crypto_aes_ecb_func_t cy_stc_crypto_pfn_t::aesEcbFunc</definition>
        <argsstring />
        <name>aesEcbFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="62" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1af0340363110c66551e36c8442aa0d75b" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_aes_cbc_func_t</type>
        <definition>cy_crypto_aes_cbc_func_t cy_stc_crypto_pfn_t::aesCbcFunc</definition>
        <argsstring />
        <name>aesCbcFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="63" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a7dfad56d8aac1a15da6a3e997a418c51" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_aes_cfb_func_t</type>
        <definition>cy_crypto_aes_cfb_func_t cy_stc_crypto_pfn_t::aesCfbFunc</definition>
        <argsstring />
        <name>aesCfbFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a6c22721f2225144e51d718d2b17b53d0" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_aes_ctr_func_t</type>
        <definition>cy_crypto_aes_ctr_func_t cy_stc_crypto_pfn_t::aesCtrFunc</definition>
        <argsstring />
        <name>aesCtrFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1aa327b0d9c1f539ec001261fac4668c63" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_cmac_func_t</type>
        <definition>cy_crypto_cmac_func_t cy_stc_crypto_pfn_t::cmacFunc</definition>
        <argsstring />
        <name>cmacFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="66" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1abba17116250b1d902007f03edc5e2e69" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_sha_func_t</type>
        <definition>cy_crypto_sha_func_t cy_stc_crypto_pfn_t::shaFunc</definition>
        <argsstring />
        <name>shaFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="67" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1aad5aafc96f4b2d62dee207f5e2ea5c44" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_hmac_func_t</type>
        <definition>cy_crypto_hmac_func_t cy_stc_crypto_pfn_t::hmacFunc</definition>
        <argsstring />
        <name>hmacFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1ad0aa7a62e09105ab6bb51a6922a501cf" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_memcpy_func_t</type>
        <definition>cy_crypto_memcpy_func_t cy_stc_crypto_pfn_t::memCpyFunc</definition>
        <argsstring />
        <name>memCpyFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="69" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="69" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1aec4d0c28566c0cb4ffbdbbdcfa4ba79f" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_memset_func_t</type>
        <definition>cy_crypto_memset_func_t cy_stc_crypto_pfn_t::memSetFunc</definition>
        <argsstring />
        <name>memSetFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="70" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a4eba786d3520a257236d330d7a41a82a" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_memcmp_func_t</type>
        <definition>cy_crypto_memcmp_func_t cy_stc_crypto_pfn_t::memCmpFunc</definition>
        <argsstring />
        <name>memCmpFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="71" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a7860edfd9e8bfb12947930e1ff7cf18e" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_memxor_func_t</type>
        <definition>cy_crypto_memxor_func_t cy_stc_crypto_pfn_t::memXorFunc</definition>
        <argsstring />
        <name>memXorFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="72" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1ab8c8f70637880f78e64f495bf597e506" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_crc_init_func_t</type>
        <definition>cy_crypto_crc_init_func_t cy_stc_crypto_pfn_t::crcInitFunc</definition>
        <argsstring />
        <name>crcInitFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="73" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="73" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1adedc97e6b5cc7d9c421d62af5404c268" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_crc_func_t</type>
        <definition>cy_crypto_crc_func_t cy_stc_crypto_pfn_t::crcFunc</definition>
        <argsstring />
        <name>crcFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="74" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a10fe3d5a468358b50adbd414a017f817" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_des_func_t</type>
        <definition>cy_crypto_des_func_t cy_stc_crypto_pfn_t::desFunc</definition>
        <argsstring />
        <name>desFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="75" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="75" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a812f25b04bdb2aa14f9dfc9b1ce83cf9" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_des_func_t</type>
        <definition>cy_crypto_des_func_t cy_stc_crypto_pfn_t::tdesFunc</definition>
        <argsstring />
        <name>tdesFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="76" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a8ff47f0b93b2a1fe4e0574d6fb445bef" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_rsa_proc_func_t</type>
        <definition>cy_crypto_rsa_proc_func_t cy_stc_crypto_pfn_t::rsaProcFunc</definition>
        <argsstring />
        <name>rsaProcFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="77" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1a872ce88f33aaafb74f60a8e4f9c8d330" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_rsa_coef_func_t</type>
        <definition>cy_crypto_rsa_coef_func_t cy_stc_crypto_pfn_t::rsaCoefFunc</definition>
        <argsstring />
        <name>rsaCoefFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__pfn__t_1aa9e103cc78ce7ba484553e10a63fe4d4" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_crypto_rsa_ver_func_t</type>
        <definition>cy_crypto_rsa_ver_func_t cy_stc_crypto_pfn_t::rsaVerifyFunc</definition>
        <argsstring />
        <name>rsaVerifyFunc</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="79" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="110">
        <label>cy_stc_crypto_pfn_t</label>
        <childnode refid="111" relation="usage">
          <edgelabel>rsaCoefFunc</edgelabel>
          <edgelabel>rsaProcFunc</edgelabel>
        </childnode>
        <childnode refid="112" relation="usage">
          <edgelabel>aesCbcFunc</edgelabel>
          <edgelabel>aesEcbFunc</edgelabel>
          <edgelabel>aesCfbFunc</edgelabel>
          <edgelabel>aesCtrFunc</edgelabel>
          <edgelabel>aesInitFunc</edgelabel>
        </childnode>
      </node>
      <node id="112">
        <label>cy_stc_crypto_aes_state_t</label>
        <link refid="structcy__stc__crypto__aes__state__t" />
      </node>
      <node id="111">
        <label>cy_stc_crypto_rsa_pub_key_t</label>
        <link refid="structcy__stc__crypto__rsa__pub__key__t" />
      </node>
    </collaborationgraph>
    <location bodyend="80" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_server.c" line="57" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1af0340363110c66551e36c8442aa0d75b" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>aesCbcFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a7dfad56d8aac1a15da6a3e997a418c51" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>aesCfbFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a6c22721f2225144e51d718d2b17b53d0" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>aesCtrFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1ab391d8545c3f6fe7e7afffa07851a3ca" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>aesEcbFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1ac64f572d7db1f9abd44bbac9f1d656c9" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>aesInitFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1aa327b0d9c1f539ec001261fac4668c63" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>cmacFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1adedc97e6b5cc7d9c421d62af5404c268" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>crcFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1ab8c8f70637880f78e64f495bf597e506" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>crcInitFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a10fe3d5a468358b50adbd414a017f817" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>desFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1aad5aafc96f4b2d62dee207f5e2ea5c44" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>hmacFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a4eba786d3520a257236d330d7a41a82a" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>memCmpFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1ad0aa7a62e09105ab6bb51a6922a501cf" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>memCpyFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1aec4d0c28566c0cb4ffbdbbdcfa4ba79f" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>memSetFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a7860edfd9e8bfb12947930e1ff7cf18e" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>memXorFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a216a31ed965a857242cf97f482dbec51" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>prngFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a8550ab63b63cc35f94690cc1e6fa6512" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>prngInitFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a872ce88f33aaafb74f60a8e4f9c8d330" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>rsaCoefFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a8ff47f0b93b2a1fe4e0574d6fb445bef" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>rsaProcFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1aa9e103cc78ce7ba484553e10a63fe4d4" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>rsaVerifyFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1abba17116250b1d902007f03edc5e2e69" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>shaFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1a812f25b04bdb2aa14f9dfc9b1ce83cf9" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>tdesFunc</name></member>
      <member prot="public" refid="structcy__stc__crypto__pfn__t_1ac550ed8a3c614f7acceb2a12025739e5" virt="non-virtual"><scope>cy_stc_crypto_pfn_t</scope><name>trngFunc</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>